--- /dev/null	2014-02-02 13:42:45.000000000 +0000
+++ new/usr/src/cmd/perl/Makefile.targ	2014-02-02 13:42:45.887002070 +0000
@@ -0,0 +1,50 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+#
+
+# The perl extensions don't use mapfiles
+$(PERLEXT) := MAPFILES=
+
+$(MACH):
+	$(INS.dir)
+
+$(PERLEXT): $(MACH)/$(MODULE).o
+	$(BUILD.SO)
+
+$(MACH)/$(MODULE).o: $(MACH)/$(MODULE).c
+	$(COMPILE.c) $(C_PICFLAGS) -I$(PERLINCDIR) $< -o $@
+
+$(MACH)/$(MODULE).c: $(MACH) $(MODULE).xs 
+	$(PERLDIR)/bin/xsubpp $(XSUBPPFLAGS) $(MODULE).xs >$@
+
+$(ROOTPERLMODDIR):
+	$(INS.dir)
+
+$(ROOTPERLMOD): $(ROOTPERLMODDIR) $(MODULE).pm
+	$(RM) $@; $(INS) -s -m $(FILEMODE) -f $^
+
+$(ROOTPERLEXTDIR):
+	$(INS.dir)
+
+$(ROOTPERLEXT): $(ROOTPERLEXTDIR) $(MACH)/$(MODULE).so
+	$(RM) $@; $(INS) -s -m $(FILEMODE) -f $^
